@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

.cotainer-manage-line {
  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  &__left-content {
    min-width: 311px;
  }
  &__right-content {
    padding-left: 25px;
  }
  &__search {
    display: flex;
    justify-content: space-between;
  }
}

.dataTableLine {
  &__date {
    display: flex;
    align-items: center;
  }
}

.pl-10 {
  padding-left: 10px;
}

.select {
  width: 100%;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 4px !important;
      min-height: 40px;
      display: flex;
      align-items: center;
    }
    .ant-select-selection-search-input {
      height: 100% !important;
    }


  }
}

.main-manage-line {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }

  &__right {
    display: flex;
    align-items: center;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
    &__button-default {
      color: $primary-button-color;
      border-radius: 8px;
      margin-left: 10px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      border: 1px solid #e8eaf6;
    }
  }
}

.line-table {
  margin-left: 24px;
}

.table__colum--title {
  display: flex;
  justify-content: center;
}


.main-init-line-card {
  ::ng-deep {
    .ant-table-thead > tr > th {
      background: #e8eaf6;
      font-weight: bold;
      font-size: 14px;
      line-height: 120%;
    }
  }
  border-radius: 16px;

  &__footer {
    margin-top: 16px;
    display: flex;
    justify-content: flex-end;
  }
  &__button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
  }

  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
      }
    }

    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
        .ant-select-selection-search-input {
          height: 100% !important;
        }
      }
    }
    &__label {
      font-size: 14px;
      font-weight: bold;
      line-height: 26px;
    }
    &__require {
      color: red;
    }
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
  &__center {
    padding-left: 15px;
    .ant-input {
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
  }

  &__right {
    padding-left: 15px;
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
    .ant-input {
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
}
.required {
  color: red;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.title-input {
  display: flex;
  align-items: center;
  &--mul {
    display: flex;
    margin: 16px;
  }
}
.tab-custom {
  &__ant-tabs {
    margin-top: 12px;

  }
}
::ng-deep {
  .mat-tree-node {
    min-height: 2rem;
  }
  .mat-tree {
    padding-left: 15px;
  }
}
.ant-btn {
  outline: none;
  border: none;
}
.parent-node {
  font-family: avertaR, sans-serif;
}
.child-node {
  font-family: avertaR, sans-serif;
  color: $bg-gray-body;
}
.parent-node:hover {
  color: $bg-gray-rgb;
}
.child-node:hover {
  color: $bg-gray-rgb;
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  color: $bg-error-red;
  font-size: 12px;
  font-family: avertaL, sans-serif;
  margin-top: 10px;
}
.margin-top {
  margin-top: 20px;
}
.action {
  display: flex;
  justify-content: space-around;
}
.img-line {
  width: 9px;
  height: 9px;
}
.mat-icon-button {
  width: 20px;
  height: 20px;
  line-height: 17px;
}

.modal-left {
  z-index: 999;
  background: $white-color;
  border-top-right-radius: 16px;
  border-right: 3px solid $background-primary-button-color;
  ::ng-deep {
    .mat-tree-node {
      min-height: 2rem;
    }
    .mat-icon-button {
      width: 20px;
      height: 20px;
      line-height: 19px;
    }

    .ant-tree-node-content-wrapper {
      background-color: inherit;
    }

    .ant-tree-treenode-selected {
      color: $primary-button-color;
      font-weight: 600;
      border-left: 4px solid $primary-button-color;
      background: $background-main;
    }
  }
  &__label {
    font-weight: bold;
    width: 100%;
    background: $white-color;
  }
  &__tree {
    padding: 0px 16px;
    height: 700px;
    overflow: hidden;
    white-space: nowrap;
    border-right: 3px solid $background-primary-button-color;
    &__icon {
      width: 9px;
      height: 9px;
    }
  }
  &__tree:hover {
    overflow-y: auto;
  }
  span {
    font-family: avertaR, sans-serif;
  }
  span:hover {
    cursor: pointer;
    color: $text-hover;
  }
}


.modal-right {
  width: 100%;
  position: absolute;
  right: 0;
  padding-left: 24px;
}

.icon-expand {
  border: none;
  background: none;
}
